Unit AM11C_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc;

procedure AM11C(var A :Array of Complex; var B :Array of Complex;
                var S :Array of Complex; N :Integer);

implementation

procedure AM11C(var A :Array of Complex; var B :Array of Complex;
                var S :Array of Complex; N :Integer);
var
I,J,K :Integer;
R :Complex;
label
_1,_2,_3;
begin
for K:=1 to N do
 begin
  for I:=1 to N do
   begin
    R := Cmplx(0.0,0.E0);
    for J:=1 to N do
     begin
_1:
      R := AddC(R,MulC(B[(J-1)+(K-1)*N],A[(I-1)+(J-1)*N]));
     end;
_2:
    S[I-1] := R;
   end;
  for J:=1 to N do
   begin
_3:
    B[(J-1)+(K-1)*N] := S[J-1];
   end;
 end;
end;

end.
